import {Converter} from './converter';

export class URIComponentDecoder implements Converter {
  getDisplayname(): string {
    return 'Decode URI component';
  }

  getId(): string {
    return 'uricomponentdecode';
  }

  convert(input: string): string {
    return decodeURIComponent(input);
  }
}
