import {Converter} from './converter';

export class URIDecoder implements Converter {
  getDisplayname(): string {
    return 'Decode URI';
  }

  getId(): string {
    return 'uridecode';
  }

  convert(input: string): string {
    return decodeURI(input);
  }
}
