import {Component} from '@angular/core';
import {environment} from '../../environments/environment';

@Component({
  selector: 'app-version',
  templateUrl: './version.component.html',
  styleUrls: ['./version.component.scss']
})
export class VersionComponent {
  public readonly PROD: boolean = environment.production;
  public readonly VERSION: string = environment.appVersion + (this.PROD ? '' : ' (development build)');

  constructor() {
  }
}
