import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {AppComponent} from './app.component';
import {ConverterRegistryService} from './converter-registry.service';
import {InputComponentManagerService} from './input-component-manager.service';
import {NativeLibraryWrapperService} from './nativelibrarywrapper.service';
import {FormsModule} from '@angular/forms';
import {VersionComponent} from './version/version.component';

@NgModule({
  declarations: [
    AppComponent,
    VersionComponent
  ],
  imports: [
    BrowserModule,
    FormsModule
  ],
  providers: [
    ConverterRegistryService,
    InputComponentManagerService,
    NativeLibraryWrapperService
  ],
  bootstrap: [AppComponent]
})
export class AppModule {
}
